*{
	margin: 0; padding: 0;
	box-sizing: border-box;
}
.hero{
	background-image: linear-gradient(315deg, #045de9 0%, #09c6f9 74%);
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;
	height: 100vh;
}
.mainContainer{
	max-width: 430px;
	height: 580px;
	border: 1px solid red;
	border-radius: 0 0 50px;
	position: relative;
	top: 50%;
	left: 50%;
	transform: translate(-50%,-50%);
	text-align: center;
	background-color: black;
	background-image: linear-gradient(210deg, rgb(255 135 7 / 65%), #0688f05c 54.65%);

}
.topContainer{
	width: 100%;
	height: 60%;
	border: 1px solid blue;
	background: linear-gradient(197deg, rgb(255 135 7), #0688f0 54.65%);
	border: 1px solid #5D5FEF;
	box-sizing: border-box;
	border-radius: 0px 0px 40px 40px;
	position: relative;
}
.bottomContainer{
	width: 100%;
	height: 40%;
}
.topContainer i{
	display: inline-block;
	width: 160PX;
	position: relative;
	top: 15%;
	color: #fff;
	font-size: 100px;
}
.infoContainer{
	position: absolute;
	width: 100%;
	color: #fff;
	bottom: 2%;
	text-transform: capitalize;
}

.infoContainer #temprature{
	font-size: 3.5rem;
}
.infoContainer #weatherStatus{
	font-size: 2rem;
}
.infoContainer #city{
	font-size: 2rem;
}
.infoContainer #day{
	font-size: 1.25rem;
	opacity: 0.9;
	text-transform: uppercase;
}
.fa-solid{
	color: #fff;
}
.detail div{
	height: 100%;
}
.detail{
	display: flex;
	justify-content: space-around;
	width: 100%;
	height: 100px;
	color: #fff;
	padding: 5px;
	/*background-image: linear-gradient(210deg, rgb(255 135 7 / 65%), #0688f05c 54.65%);*/
}
.detail div>i{
	font-size: 18px;
	color: #e6871e
}
.detail div>h3{
	font-size: 22px;
}
.detail1{
	margin-top: 20px;
}
/*sectio2*/
.detail2{
	margin-top: 10px;
}


@media (min-width: 320px) and (max-width: 480px){
	.mainContainer{
		height: 100vh;
		max-width: 100%;
		overflow: hidden;
		border-radius: 0;
	}
	.topContainer img{
		top: 20%;	
	}
	.topContainer i{
		top: 20%;
		font-size: 120px;
	}
	.infoContainer{
		bottom: 10%;
	}
	.detail1{
		margin-top: 70px;
	}

}